<?php
/************************************************** 
 *                 Bot Gadu-Gadu                  * 
 ************************************************** 
 * Wersja: 2.2 Stable                             * 
 * Data: 25.06.2012 (21:15)                       * 
 * Autor: Jacek Kowalski (http://jacekk.info)     * 
 *                                                * 
 * Utwor rozprowadzany na licencji                * 
 * http://creativecommons.org/licenses/by-nc/2.5/ * 
 **************************************************/

$bash = fopen('text.txt', 'r');
$cytaty = array();

while(!feof($bash)) {
	$cytat = trim(fgets($bash));
	if(empty($cytat)) continue;
	var_dump($cytat);
	$cytaty[(int)substr($cytat, 1)] = ftell($bash);
	while(!feof($bash) && trim(fgets($bash))!='%');
}

fclose($bash);

ksort($cytaty);
var_dump(count($cytaty));

file_put_contents('index.txt', serialize($cytaty));
?>